=== debian/changelog ===
ros-noetic-moveit-visual-tools (3.6.0-1buster) buster; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Fri, 09 Oct 2020 06:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.2-1buster) buster; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 10 Dec 2018 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.1-1buster) buster; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.0-1buster) buster; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Moved boost::shared_ptr to std for tf2
  * Converted to use tf2 moveit interfaces
  * Fix broken CI for Melodic
  * Fix Continuous Integration
  * Contributors: Dave Coleman, Ian McMahon, Mike Lautman, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Wed, 05 Sep 2018 06:00:00 -0000

ros-noetic-moveit-visual-tools (3.4.0-1buster) buster; urgency=high

  * Apply current MoveIt clang-format
  * Various improvements needed while finishing planning thesis
  * Fix greater than/less than issue in clearance check
  * Ability to specify clearance for random state
  * Small threading fixes
  * imarker: Fix setToRandomState()
    imarker: Switch to std::makeshared
  * Improve console output
  * Contributors: Dave Coleman, Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 27 Dec 2017 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.3.0-1buster) buster; urgency=high

  * Change error message to warning
  * Make planning scene monitor publicly exposed

