=== debian/control ===
Source: ros-noetic-moveit-visual-tools
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz-visual-tools, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-noetic-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cmake-modules, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz-visual-tools, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt data in Rviz via published markers
